//
//  DevInfoView.swift
//  AcaMate
//
//  Created by TAnine on 2/13/25.
//

import SwiftUI

struct DevInfoView: View {
    var body: some View {
        VStack(alignment: .leading, spacing: 24) {
            Text("""
                 아래 정보는 해당 프로그램에 관한 정보로서
                 학원에 대한 문의는 더보기 > 고객센터 > 1:1 문의 이용해주시기 바랍니다.
                 """)
            .font(.nps(size: 8))
            .foregroundStyle(Color(.Text.detail))
            .lineLimit(2)
            .multilineTextAlignment(.center)
            .frame(maxWidth: .infinity, maxHeight: .infinity, alignment: .center)
            //            .padding([.leading,.trailing],24)
            
            Image(.Logo.appIcon).resizable()
                .frame(width: 40, height: 40,alignment: .leading)
                .background(
                    RoundedRectangle(cornerRadius: 8)
                        .frame(width: 40, height: 40,alignment: .leading)
                        .foregroundStyle(Color(.Normal.light))
                )
            VStack(alignment: .leading, spacing: 12){
                Text("AcaMate")
                    .font(.nps(font: .bold, size: 16))
                    .foregroundStyle(Color(.Text.detail))
                
                VStack(spacing: 4) {
                    Text("문의: sean.kk@daum.net")
                        .font(.nps(size: 12))
                        .foregroundStyle(Color(.Text.detail))
                    
                    Text("문의: sean.kk@daum.net")
                        .font(.nps(size: 12))
                        .foregroundStyle(Color(.Text.detail))
                }
                
            }
            
            Text("Copyright © Team.Stein. All Rights Reserved")
                .font(.nps(size: 14))
                .foregroundStyle(Color(.Text.detail))
            
            //            .padding([.leading,.trailing],24)
        }
        .padding(24)
        //        .padding([.top,.bottom],24)
        .background {
            Color(.Disable.normal)
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        
        
    }
}
